@import "_variables";

.statistics-box {
    color: white;
    font-weight: bold;
    text-align: center;
    font-size: 30px;
    margin: 30px 0;

    > div {
        padding: 40px;

        span {
            font-size: 20px;
        }
    }
}

.post-statistics {

    .posts {
        background: $accent-color-main;
        border-top-left-radius: 2px;
        border-top-right-radius: 2px;
    }

    .elements-avg {
        background: $yellow;
        border-bottom-left-radius: 2px;
        border-bottom-right-radius: 2px;
    }

}

.element-statistics {

    .total {
        background: $accent-color-main;
        border-top-left-radius: 2px;
        border-top-right-radius: 2px;
    }

    .images,
    .videos {
        width: 50%;
        display: inline-block;
    }

    .images {
        float: left;
        background: $green;
        border-bottom-left-radius: 2px;
    }

    .videos {
        background: $yellow;
        float: right;
        border-bottom-right-radius: 2px;
    }

}

h2.hastags {
    margin: 20px 0 30px;
}

.tags-total {
    position: absolute;
    right: 20px;
    top: 32px;
    font-size: 18px;
    color: $gray;
}

.tag {
    position: relative;
    padding: 20px;
    background: #f3f3f3;
    margin: 10px 0;
    border-radius: 2px;
    font-weight: bold;
    color: $gray;
    display: block;

    &:hover {
        cursor: pointer;
        text-decoration: none;
        color: $gray;
        background: #e6e6e6;
    }

    .name {

    }

    .times {
        position: absolute;
        right: 0;
        top: 0;
        padding: 20px;
        background: $accent-color-main;
        width: 70px;
        height: 64px;
        color: white;
        text-align: center;
    }

}